## node-debug 0.8.1

=== Makefile ===

build: debug.js
	component build

## node-debug 0.6.0

=== debian/changelog ===
node-debug (0.6.0-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Sun, 15 Apr 2012 00:40:50 +0200

=== debian/control ===
Source: node-debug
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 8~)
Standards-Version: 3.9.3
Homepage: http://search.npmjs.org/#/debug
Vcs-Git: git://git.debian.org/pkg-javascript/node-debug.git
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/node-debug.git;a=summary

Package: node-debug
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: small debugging utility for Node.js
 node-debug provides a small debugging utility for Node.js modules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -- History.md

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=debug \
        http://registry.npmjs.org/debug/-/debug-(\d+.*)\.tgz

## node-debug 0.8.1

=== debian/changelog ===
node-debug (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian watch, now refers to project homepage.
  * debian/control:
    + update homepage url
    + update Vcs-* fields
    + bump standards version
    + added dh-buildinfo and nodejs as build-depends
    + added Leo Iannacone as uploader
    + improved long description
  * debian/copyright:
    + set Expat license instead of MIT
  * debian/install:
    + install package.json in node path
  * debian/rules:
    + override dh_auto_build to fix FTBFS
    + keep original name of the upstream changelog

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 24 Apr 2014 13:21:46 +0200

=== debian/control ===
Source: node-debug
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>, Leo Iannacone <l3on@ubuntu.com>
Build-Depends: debhelper (>= 8~)
 , dh-buildinfo
 , nodejs
Standards-Version: 3.9.5
Homepage: https://github.com/visionmedia/debug
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-debug.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-debug.git

Package: node-debug
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: small debugging utility for Node.js
 node-debug provides a small debugging utility for Node.js modules.
 .
 With this module you simply invoke the exported function to generate
 your debug function, passing it a name which will determine if a
 noop function is returned, or a decorated console.error, so all of the
 console format string goodies you're used to work fine.
 A unique color is selected per-function for visibility.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-debug-$1.tar.gz/ \
 https://github.com/visionmedia/debug/tags .*/archive/v?([\d\.]+).tar.gz

## node-debug 2.1.0+dfsg

=== debian/changelog ===
node-debug (2.1.0+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Build for jessie-backports.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 24 Sep 2015 10:46:05 +0200

node-debug (2.1.0+dfsg-2) unstable; urgency=medium

  * Ensure browser.js is installed for browserify.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 03 Jul 2015 13:44:44 +0200

node-debug (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version 3.9.6
  * autopkgtest: test ms module can be required as humanize
  * debian/copyright: update year copyright

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 16 Oct 2014 09:45:52 +0200

node-debug (2.0.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0
  * Repackaged to exclude pre-compiled files
    - d/watch: add dversionmangle
  * Add autopkgtest to require debug module
  * Bundle module "ms" as patch, it is exported as "humanize":
    - d/install: install ms module locally
    - d/copyright: updated with ms module copyright
    - d/rules: override dh_auto_clean in order to not remove
      node_modules directory
  * d/install: update to new install correct files
  * d/copyright: add upstream-contact

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 04 Oct 2014 16:00:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,9 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+
+override_dh_auto_clean:
+
 override_dh_installchangelogs:
-	dh_installchangelogs -- History.md
+	dh_installchangelogs -k History.md

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg?([\d]*)//,filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-debug-$1.tar.gz/ \
 https://github.com/visionmedia/debug/tags .*/archive/v?([\d\.]+).tar.gz

## node-debug 2.5.1

=== debian/changelog ===
node-debug (2.5.1-1) unstable; urgency=medium

  [ Paolo Greppi ]
  * Team upload.
  * New upstream release.
  * Standards-Version 3.9.8
  * debhelper 9
  * Update Vcs-* fields
  * Update copyright & uploaders
  * Update patch that bundles ms 0.7.2
  * Patch away the dependency on sinon-chai
  * Enable build-time tests
  * Enable autopkgtests
  * Build-Depends chai, node-sinon for tests

  [ Jérémy Lal ]
  * Install all src dir

 -- Paolo Greppi <paolo.greppi@libpf.com>  Fri, 23 Dec 2016 23:30:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,21 @@
 Section: web
 Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: David Paleino <dapal@debian.org>, Leo Iannacone <l3on@ubuntu.com>
+Uploaders:
+ David Paleino <dapal@debian.org>,
+ Leo Iannacone <l3on@ubuntu.com>,
+ Daniel Pocock <daniel@pocock.pro>,
+ Paolo Greppi <paolo.greppi@libpf.com>
 Build-Depends: debhelper (>= 8~)
  , dh-buildinfo
+ , mocha
+ , chai
+ , node-sinon
  , nodejs
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://github.com/visionmedia/debug
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-debug.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-debug.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-debug.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-debug.git
 
 Package: node-debug
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,10 @@
 
 override_dh_auto_build:
 
+override_dh_auto_test:
+	mocha -R spec -- test/**.js
+
 override_dh_auto_clean:
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k History.md
+	dh_installchangelogs -k CHANGELOG.md

## node-debug 3.1.0

=== debian/changelog ===
node-debug (3.1.0-2) unstable; urgency=medium

  * Team upload
  [ Paolo Greppi ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Bastien Roucariès ]
  * Bug fix: "FTBFS on sid", thanks to Zebulon McCorkle (Closes: #899417).
  * Bump compat and policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 24 May 2018 11:22:43 +0200

node-debug (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards versions
  * Unbundle node-ms and depend on it (Closes: #836205)
  * No need to patch away the build-dependency on sinon-chai since
    node-sinon-chai is now in the archive
  * Also produce a libjs-debug binary
  * Patch the provided browser example to use library from
    /usr/share/javascript
  * Provide another example for using this library in the browser

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 27 Nov 2017 13:32:52 +0100

node-debug (2.5.1-2) unstable; urgency=medium

  * Team upload.
  * Install node.js file

 -- Pirate Praveen <praveen@debian.org>  Fri, 23 Jun 2017 00:27:25 +0530

=== debian/control ===
Source: node-debug
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 David Paleino <dapal@debian.org>,
 Leo Iannacone <l3on@ubuntu.com>,
 Daniel Pocock <daniel@pocock.pro>,
 Paolo Greppi <paolo.greppi@libpf.com>
Build-Depends: debhelper (>= 11)
 , dh-buildinfo
 , mocha (>= 4) <!nocheck>
 , chai <!nocheck>
 , node-browserify-lite
 , node-ms <!nocheck>
 , node-sinon <!nocheck>
 , node-sinon-chai <!nocheck>
 , node-uglify
 , node-source-map
 , nodejs (>= 6)
Standards-Version: 4.1.4
Homepage: https://github.com/visionmedia/debug
Vcs-Git: https://salsa.debian.org/js-team/node-debug.git
Vcs-Browser: https://salsa.debian.org/js-team/node-debug

Package: node-debug
Architecture: all
Depends:
 ${misc:Depends}
 , node-ms
 , nodejs
Description: small debugging utility for Node.js
 node-debug provides a small debugging utility for Node.js modules.
 .
 With this module you simply invoke the exported function to generate
 your debug function, passing it a name which will determine if a
 noop function is returned, or a decorated console.error, so all of the
 console format string goodies you're used to work fine.
 A unique color is selected per-function for visibility.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-debug
Architecture: all
Depends:
 ${misc:Depends}
Description: small debugging utility
 libjs-debug provides a small debugging utility for the browser.
 .
 With this module you simply invoke the exported function to generate
 your debug function, passing it a name which will determine if a
 noop function is returned, or a decorated console.error, so all of the
 console format string goodies you're used to work fine.
 A unique color is selected per-function for visibility.
 .
 The enable state is persisted in the localStorage.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BROWSERIFY=NODE_PATH=/usr/lib/nodejs browserify-lite

%:
	dh $@

dist:
	mkdir -p dist

dist/debug.js: src/browser.js dist
	$(BROWSERIFY) --standalone debug ./$< --outfile ./$@

dist/debug.min.js: dist/debug.js
	uglifyjs -o $@ --source-map=$@.map $<


override_dh_auto_build: dist/debug.js dist/debug.min.js
	true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	mocha -R spec test/*.js
else
	@echo '**********************************************************'
	@echo 'Skip test suite                                           '
	@echo '**********************************************************'
endif

override_dh_installexamples:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_installexamples
	sed -i 's,"/javascript/debug/debug.min.js","../../../javascript/debug/debug.js",g' debian/libjs-debug/usr/share/doc/libjs-debug/examples/*.html
	sed -i "s,require[\(]'../../'[\)],require('debug'),g" debian/node-debug/usr/share/doc/node-debug/examples/*.js
else
	@echo '**********************************************************'
	@echo 'Skip examples                                             '
	@echo '**********************************************************'
endif

override_dh_auto_clean:
	dh_clean
	rm -rf dist/

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

=== debian/tests/control ===
Tests: require
Depends: node-debug

Test-Command: mocha -R spec -- test/**.js
Depends: @, @builddeps@

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-debug-$1.tar.gz/ \
 https://github.com/visionmedia/debug/tags .*/archive/v?([\d\.]+).tar.gz

## node-debug 4.1.1

=== debian/changelog ===
node-debug (4.1.1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Link debug/src/node.js to debug/node.js to be able to build node-babel 6

 -- Xavier Guimard <yadd@debian.org>  Tue, 21 Jan 2020 20:40:21 +0100

node-debug (4.1.1-1) experimental; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Add upstream/metadata
  * New upstream version 4.1.1
  * Patch .babelrc for babel 6
  * Remove 00-makefile.diff patch
  * Add debian/clean
  * Build with rollup and babel
  * Switch build, test and install to pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Wed, 28 Aug 2019 10:20:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,23 @@
  Leo Iannacone <l3on@ubuntu.com>,
  Daniel Pocock <daniel@pocock.pro>,
  Paolo Greppi <paolo.greppi@libpf.com>
-Build-Depends: debhelper (>= 11)
+Testsuite: autopkgtest-pkg-nodejs
+Build-Depends: debhelper-compat (= 12)
  , dh-buildinfo
  , mocha (>= 4) <!nocheck>
  , chai <!nocheck>
- , node-browserify-lite
  , node-ms <!nocheck>
- , node-sinon <!nocheck>
- , node-sinon-chai <!nocheck>
- , node-uglify
- , node-source-map
  , nodejs (>= 6)
-Standards-Version: 4.1.4
+ , rollup
+ , uglifyjs
+ , node-babel-cli
+ , node-babel-preset-env
+ , pkg-js-tools (>= 0.9.8)
+Standards-Version: 4.5.0
 Homepage: https://github.com/visionmedia/debug
 Vcs-Git: https://salsa.debian.org/js-team/node-debug.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-debug
+Rules-Requires-Root: no
 
 Package: node-debug
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BROWSERIFY=NODE_PATH=/usr/lib/nodejs browserify-lite

%:
	dh $@ --with nodejs

override_dh_installexamples:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_installexamples
	sed -i 's,"/javascript/debug/debug.min.js","../../../javascript/debug/debug.js",g' debian/libjs-debug/usr/share/doc/libjs-debug/examples/*.html
	sed -i "s,require[\(]'../../'[\)],require('debug'),g" debian/node-debug/usr/share/doc/node-debug/examples/*.js
else
	@echo '**********************************************************'
	@echo 'Skip examples                                             '
	@echo '**********************************************************'
endif

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

## node-debug 4.1.1+~cs4.1.5

=== debian/changelog ===
node-debug (4.1.1+~cs4.1.5-1) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Update uploaders list (Closes: #953468)

  [ Nilesh Patra ]
  * Build with babel7
  * Bump debhelper-compat to version 13

  [ Xavier Guimard ]
  * Embed @types/debug (Closes: #954166)
  * New upstream version 4.1.1+~cs4.1.5
  * Install @types/debug
  * Back to dh12 for easier backports
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 May 2020 11:40:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  David Paleino <dapal@debian.org>,
  Leo Iannacone <l3on@ubuntu.com>,
- Daniel Pocock <daniel@pocock.pro>,
  Paolo Greppi <paolo.greppi@libpf.com>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends: debhelper-compat (= 12)
@@ -16,8 +15,7 @@
  , nodejs (>= 6)
  , rollup
  , uglifyjs
- , node-babel-cli
- , node-babel-preset-env
+ , node-babel7
  , pkg-js-tools (>= 0.9.8)
 Standards-Version: 4.5.0
 Homepage: https://github.com/visionmedia/debug
@@ -31,6 +29,7 @@
  ${misc:Depends}
  , node-ms
  , nodejs
+Provides: ${nodejs:Provides}
 Description: small debugging utility for Node.js
  node-debug provides a small debugging utility for Node.js modules.
  .

## node-debug 4.3.1+~cs4.1.5

=== debian/changelog ===
node-debug (4.3.1+~cs4.1.5-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.1
  * New upstream version 4.3.1+~cs4.1.5

 -- Xavier Guimard <yadd@debian.org>  Fri, 27 Nov 2020 08:27:40 +0100

node-debug (4.2.0+~cs4.1.5-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * New upstream version 4.2.0+~cs4.1.5
  * Update build and paths (upstream now provides common js only)
  * Remove build dependencies to chai, rollup, uglifyjs and node-babel7
  * Add "Multi-Arch: foreign"

 -- Xavier Guimard <yadd@debian.org>  Mon, 05 Oct 2020 22:37:01 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,12 @@
  Leo Iannacone <l3on@ubuntu.com>,
  Paolo Greppi <paolo.greppi@libpf.com>
 Testsuite: autopkgtest-pkg-nodejs
-Build-Depends: debhelper-compat (= 12)
- , dh-buildinfo
+Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
  , mocha (>= 4) <!nocheck>
- , chai <!nocheck>
  , node-ms <!nocheck>
  , nodejs (>= 6)
- , rollup
- , uglifyjs
- , node-babel7
- , pkg-js-tools (>= 0.9.8)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/visionmedia/debug
 Vcs-Git: https://salsa.debian.org/js-team/node-debug.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-debug
@@ -45,6 +40,7 @@
 Architecture: all
 Depends:
  ${misc:Depends}
+Multi-Arch: foreign
 Description: small debugging utility
  libjs-debug provides a small debugging utility for the browser.
  .

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-debug-$1.tar.gz/ \
 https://github.com/visionmedia/debug/tags .*/archive/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=typesdebug,pgpmode=none" \
 https://registry.npmjs.org/@types/debug https://registry.npmjs.org/@types/debug/-/debug-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-debug 4.3.2+~cs4.1.7

=== debian/changelog ===
node-debug (4.3.2+~cs4.1.7-1) unstable; urgency=medium

  * Team upload

  [ Yadd ]
  * Add ctype=nodejs to component(s)
  * Fix GitHub tags regex
  * Uploaders: replace Leo Iannacone by myself, thanks for your work!

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-debug: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster

  [ Ayoyimika Ajibade ]
  * New upstream version 4.3.2+~cs4.1.7

  [ Yadd ]
  * Declare compliance with policy 4.6.0
  * Fix filenamemangle

 -- Ayoyimika Ajibade <ayoyimikaajibade@gmail.com>  Tue, 02 Nov 2021 14:57:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders:
  David Paleino <dapal@debian.org>,
- Leo Iannacone <l3on@ubuntu.com>,
+ Yadd <yadd@debian.org>,
  Paolo Greppi <paolo.greppi@libpf.com>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
- , mocha (>= 4) <!nocheck>
+ , mocha <!nocheck>
  , node-ms <!nocheck>
- , nodejs (>= 6)
-Standards-Version: 4.5.1
+ , nodejs
+Standards-Version: 4.6.0
 Homepage: https://github.com/visionmedia/debug
 Vcs-Git: https://salsa.debian.org/js-team/node-debug.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-debug
@@ -25,6 +25,7 @@
  , node-ms
  , nodejs
 Provides: ${nodejs:Provides}
+Multi-Arch: foreign
 Description: small debugging utility for Node.js
  node-debug provides a small debugging utility for Node.js modules.
  .

## node-debug 4.3.4+~cs4.1.7

=== debian/changelog ===
node-debug (4.3.4+~cs4.1.7-1) unstable; urgency=medium

  * New upstream version 4.3.4+~cs4.1.7

 -- Yadd <yadd@debian.org>  Sun, 20 Mar 2022 15:51:33 +0100

node-debug (4.3.3+~cs4.1.7-1) unstable; urgency=medium

  * Drop dependency to nodejs
  * New upstream version 4.3.3+~cs4.1.7

 -- Yadd <yadd@debian.org>  Sat, 12 Mar 2022 12:18:21 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  , dh-sequence-nodejs
  , mocha <!nocheck>
  , node-ms <!nocheck>
- , nodejs
 Standards-Version: 4.6.0
 Homepage: https://github.com/visionmedia/debug
 Vcs-Git: https://salsa.debian.org/js-team/node-debug.git
@@ -20,10 +19,8 @@
 
 Package: node-debug
 Architecture: all
-Depends:
- ${misc:Depends}
+Depends: ${misc:Depends}
  , node-ms
- , nodejs
 Provides: ${nodejs:Provides}
 Multi-Arch: foreign
 Description: small debugging utility for Node.js

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-debug-$1/ \
 https://github.com/visionmedia/debug/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=typesdebug,pgpmode=none,filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/node-types-debug-$1/" \
 https://registry.npmjs.org/@types/debug https://registry.npmjs.org/@types/debug/-/debug-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-debug 4.4.1+~4.1.12

=== debian/changelog ===
node-debug (4.4.1+~4.1.12-1) UNRELEASED; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * debian/watch version 5
  * New upstream version 4.4.1+~4.1.12
  * Update test
  * Test-Depends: +node-sinon

 -- Yadd <yadd@debian.org>  Mon, 25 Aug 2025 21:29:14 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  , dh-sequence-nodejs
  , mocha <!nocheck>
  , node-ms <!nocheck>
-Standards-Version: 4.6.0
+ , node-sinon <!nocheck>
+Standards-Version: 4.7.2
 Homepage: https://github.com/visionmedia/debug
 Vcs-Git: https://salsa.debian.org/js-team/node-debug.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-debug

=== debian/watch ===
Version: 5
Version-Schema: group

Template: Github
Owner: visionmedia
Project: debug

Component: typesdebug
Template: Npmregistry
Ctype: nodejs
Dist: @types/debug
